import request from '@/utils/request'

// 查询企业经营异常名录股东信息列表
export function listRecord(query) {
  return request({
    url: '/basicData/xcrInvestorAbnormalRecord/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业经营异常名录股东信息详细
export function getRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrInvestorAbnormalRecord/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业经营异常名录股东信息
export function addRecord(data) {
  return request({
    url: '/basicData/xcrInvestorAbnormalRecord',
    method: 'post',
    data: data
  })
}

// 修改企业经营异常名录股东信息
export function updateRecord(data) {
  return request({
    url: '/basicData/xcrInvestorAbnormalRecord',
    method: 'put',
    data: data
  })
}

// 删除企业经营异常名录股东信息
export function delRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrInvestorAbnormalRecord/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRecordBatch(ids) {
  return request.post('/basicData/xcrInvestorAbnormalRecord/delete',ids)
}
